Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] fglrx & neue Kernel versionen  (Read 4552 times)

gabrielb

  • Guest
[DE] fglrx & neue Kernel versionen
« on: 2015/07/09, 02:37:38 »
Wie so oft: fglrx(15.200) kommt nicht auf Anhieb mit dem neuen Kernel (4.2-rc1) klar.
Habe einen Patch gebastelt, der bei mir™ bis jetzt funktioniert.
Viel Spaß damit an alle Experimentierfreudigen :)

ENG:
Attached you'll find a patch for fglrx(15.200) to work with kernel 4.2-rc1. At least it works for me ;)

LG

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #1 on: 2015/07/10, 15:38:11 »
Der neue fglrx 15.7 hat natürlich genau die selben 'Probleme'.

ENG:
Exactly the same game for version 15.7. Enjoy!

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #2 on: 2015/10/26, 14:09:30 »
Nach langer Problemsuche stellte sich heraus, dass fglrx 15.9 anscheinend nicht alle gcc-versionen mag. Alles funktioniert mit Kernel 4.1, aber für 4.2 wird zwar gebaut aber nicht gebootet. Workaround: gcc-4.9 verwenden um fglrx zu bauen. Dann funktioniert's auch mit 4.3(-rc7).

http://ati.cchtml.com/show_bug.cgi?id=1189
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1493888

fglrx 15.9 seems to have problems with 'newer' gcc-versions. If it builds, but fails to boot into kernel versions >= 4.2, try using gcc-4.9 to build fglrx.

Offline piper

  • User
  • Posts: 1.785
  • we are the priests ... of the temples of syrinx
Re: fglrx & neue Kernel versionen
« Reply #3 on: 2015/10/26, 15:11:21 »
ich danke Ihnen für beides Englisch & Deutsch Übersetzungen ;)

thank you for doing both english & german translations  ;)
Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #4 on: 2015/11/02, 17:46:24 »
You're welcome! I know how cumbersome it can be to dig through google-translated pages.
At least I hope my english is a little better than that  ;D

Kernel 4.3 rückt näher - durch das oben beschriebene gcc-Problem war ich etwas 'verzweifelt' und ich habe zwischendurch auch mal diversen Lösungen von anderen probiert. Ist diesmal also etwas unaufgeräumt, aber da es so (für mich) funktioniert wollte ich nicht noch bei jeder Zeile ausprobieren, ob sie wirklich notwendig ist.

As the gcc-related bug mentioned above drove me a little crazy, I started experimenting with other patch-sources. It's possible that not every single line in this resulting patch is really necessary, but as it works (for me), I'll offer it here 'as-is'.

Danke an/Credits go to

https://github.com/kolasa/fglrx-core-15.201
https://github.com/fernando-rodriguez/portage-overlay/tree/master/x11-drivers/ati-drivers/files

Offline piper

  • User
  • Posts: 1.785
  • we are the priests ... of the temples of syrinx
Re: fglrx & neue Kernel versionen
« Reply #5 on: 2015/11/02, 18:52:37 »
Ihr englisch ist in ordnung ;)

your english is fine ;)

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

snow_freak

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #6 on: 2015/11/15, 19:04:25 »
Gibt es eigentlich die Möglichkeit, dass jemand ein funktionierendes Paket mit aktuellem Treiber basteln kann?

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #7 on: 2015/11/21, 00:29:54 »
Sry, mit packaging habe ich mich noch nicht beschäftigt.
Kann nur mit einem patch für 4.4(-rc1, zumindest) dienen.

Here's a patch for 4.4(-rc1, at least).

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #8 on: 2015/12/17, 16:56:55 »
Mit towos -rc5 möchte es irgendwie nicht so recht funktionieren. Mit einem custom-rc5 geht's hier. Ich hoffe, über Weihnachten Zeit dafür zu finden, die Ursache ausfindig zu machen (und vielleicht auch die unnötigen 4.3-fragmente zu entfernen. )

Please note that this may not work with towos -rc5 kernel, whereas I don't have problems with a custom kernel (rc5). I hope to find time to look into this over christmas.

gabrielb

  • Guest
Re: fglrx & neue Kernel versionen
« Reply #9 on: 2016/01/02, 14:20:27 »
Die neuen packages in den Repos funktionieren mit 4.3, angehängt ist ein Patch für 4.4.
Nochmal die Erinnerung: gcc-4.9 (oder älter) verwenden!
Habe leider noch nicht die Zeit gefunden um herauszufinden warum es mit meinen custom-, aber nicht mit den siduction-kerneln funktioniert.

The updated fglrx-package works with 4.3, here's the patch for 4.4.
Still, make shure to use gcc-4.9 or older to build it. And again, I'm not shure why it works with my custom kernel (-rc5) and not with the siduction kernel (-rc5 and -rc7 tested).